/*
AUTORE: Manuel Vichi
Dopo aver letto e memorizzato 8 numeri in un array, la funzione deve calcolare la somma di quelli negativi e memorizzare zero al loro posto
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
int sommaNegativi(int array[], size_t size) {
	int somma;
	for (int i = 0; i < size; i++) {
		if (array[i] < 0) {
			somma += array[i];
			array[i] = 0;
		}
	}
	return somma;
}
int main() {
	size_t dimensioneArray;
	cout << "Inserisci il numero di valori da memorizzare: ";
	cin >> dimensioneArray;
	cout << endl;
	int array[dimensioneArray];
	for (int i = 0; i < dimensioneArray; i++) {
		cout << "Inserisci il valore: ";
		cin >> array[i];
		cout << endl;
	}
	cout << "La somma dei numeri negativi e': " << sommaNegativi(array,dimensioneArray) << endl;
    return 0;
}
